Subject: Re: [bug#42473] [PATCH] gnu: zrythm: Update to 0.8.694.

From: Ludovic Courtès <[email-masked]>
Date: Sun, 13 Sep 2020 23:37:36 +0200

Hi,

Alexandros Theodotou <[email-masked]> skribis:

> On Fri, 2020-09-11 at 17:36 +0200, Ludovic Courtès wrote:
>> This requires Meson 0.55 so it doesn’t work on master.
>> 
>> Could you add Meson 0.55 and have zrythm use it?
>
> Done. Not sure exactly what you expect but I added an additional
> meson55 package and used it like #:meson ,meson55. Feel free to edit it
> accordingly.
>
>> > diff --git a/gnu/packages/web.scm b/gnu/packages/web.scm
>> > index b674019b8f..01f8a6bfc2 100644
>> > --- a/gnu/packages/web.scm
>> > +++ b/gnu/packages/web.scm
>> > @@ -5027,6 +5027,7 @@ written in C.  It is developed as part of the
>> > NetSurf project.")
>> >    (package
>> >      (name "libcyaml")
>> >      (version "1.0.1")
>> > +    (version "1.1.0")
>> >      (source
>> >       (origin
>> >         (method git-fetch)
>> > @@ -5036,6 +5037,7 @@ written in C.  It is developed as part of the
>> > NetSurf project.")
>> >         (file-name (git-file-name name version))
>> >         (sha256
>> >          (base32
>> > "0h5ydyqdl8kzh526np3jsi0pm7ks16nh1hjkdsjcd6pacw7y6i6z"))))
>> > +        (base32
>> > "1al5cbild3qimm59rmaj3i8m57qhinwshz7r67p7fqsccijrz71b"))))
>> 
>> This one is obviously broken.  I tried to redo it by hand, but then
>> zrythm would fail to build.
>
> Err, gitg miss, I only selected the additions to stage. Fixed.
>
>> Could you resend the other 3 patches, making sure everything works on
>> master?
>
> Please find them attached.

Applied with the following tweaks:

  • Renamed Meson variable to ‘meson-0.55’.

  • Replaced libcyaml upgrade with my own version since I got a
    different hash than the one your patch had.  If you still have a
    different version, please check whether there are differences.

Thanks!

Ludo’.